%define with_eds	0

%define api		3.0
%define major		8
%define libname		%mklibname %{name} %{api} %{major}
%define devname		%mklibname %{name} -d

%define bmajor		0
%define blibname	%mklibname glbarcode %{api} %{bmajor}
%define bdevname	%mklibname glbarcode -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME program to create labels and business cards
Name:		glabels
Version:	3.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Utilities
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://glabels.sourceforge.net/
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%if %{with_eds}
BuildRequires:	pkgconfig(libebook-1.2)
%endif

BuildRequires:	pkgconfig(libiec16022)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
BuildRequires:	zint-devel
BuildRequires:	barcode-devel
BuildRequires:	gettext-devel
BuildRequires:	itstool

%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package provides the shared libraries for %{name}.

%package -n %{blibname}
Summary:	Barcode support libraries for %{name}
Group:		System/Libraries

%description -n %{blibname}
This package contains the shared libraries for barcode support for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Suggests:	%{name}-docs = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package -n %{bdevname}
Summary:	Development files and headers for %{name} barcodes
Group:		Development/Other
Requires:	%{blibname} = %{version}-%{release}
Provides:	glbarcode-devel = %{version}-%{release}
Suggests:	%{name}-docs = %{version}-%{release}

%description -n %{bdevname}
This package contains the development files and headers for %{name} barcodes.

%package docs
Summary:	Development documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description docs
This package contains the development documentation for %{name}.

%prep
%setup -q

%build
%configure2_5x \
%if %{with_eds}
	--with-libebook \
%else
	--without-libebook \
%endif
	--disable-static \
	--disable-schemas-compile

%make

%install
%makeinstall_std

perl -p -i -e 's/%{name}-%{api}.png/%{name}-%{api}/g' \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}-%{api} --with-gnome --with-help

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}-%{api}.lang
%doc README AUTHORS
%{_bindir}/*
%{_datadir}/%{name}-%{api}
%{_datadir}/lib%{name}-%{api}
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/appdata/glabels-3.appdata.xml

%files docs
%{_datadir}/gtk-doc/html/libglabels-%{api}
%{_datadir}/gtk-doc/html/libglbarcode-%{api}

%files -n %{libname}
%{_libdir}/libglabels-%{api}.so.%{major}*

%files -n %{blibname}
%{_libdir}/libglbarcode-%{api}.so.%{bmajor}*

%files -n %{devname}
%{_libdir}/libglabels-%{api}.so
%{_includedir}/libglabels-%{api}
%{_libdir}/pkgconfig/libglabels-%{api}.pc

%files -n %{bdevname}
%{_libdir}/libglbarcode-%{api}.so
%{_includedir}/libglbarcode-%{api}
%{_libdir}/pkgconfig/libglbarcode-%{api}.pc


%changelog
* Wed Oct 30 2013 wally <wally> 3.2.0-1.mga4
+ Revision: 548058
- new version 3.2.0

* Fri Oct 18 2013 umeabot <umeabot> 3.0.1-3.mga4
+ Revision: 521809
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 3.0.1-2.mga3
+ Revision: 391956
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 fwang <fwang> 3.0.1-1.mga3
+ Revision: 295708
- new version 3.0.1

* Sat Aug 11 2012 wally <wally> 3.0.0-6.mga3
+ Revision: 280731
- disable evolution data server support for now (doesn't build with new eds)
- add patches from upstream git to fix gschema and devel deps
- clean .spec a bit

  + ovitters <ovitters>
    - clean spec

* Mon Nov 21 2011 fwang <fwang> 3.0.0-4.mga2
+ Revision: 170392
- rebuild for new evo
- br gtk-doc
- fix linkage
- rebuild

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Sat Jun 18 2011 wally <wally> 3.0.0-1.mga2
+ Revision: 109380
- new version 3.0.0
- new major 8
- create subpackage(s) for barcode support
- create noarch subpackage for docs
- disable static build
- drop old obsoletes
- clean BRs
- fix summaries and descriptions

* Thu Mar 24 2011 boklm <boklm> 2.3.0-5.mga1
+ Revision: 76145
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.3.0-4.mga1
+ Revision: 74070
- add libtasn1-devel BR
- add gnutls-devel BR
- fix .desktop file
- drop buildroot definition
- change description
- clean .spec a bit
- imported package glabels


* Thu Mar 17 2011 Jani Välimaa <wally@mandriva.org> 2.3.0-3mdv2011.0
+ Revision: 646255
- enable optional barcode backends

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 2.3.0-2mdv2011.0
+ Revision: 568226
- rebuild for new e-d-s

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 563390
- new version
- drop patch
- new major
- new source URL
- update build deps
- update file list

* Tue Apr 20 2010 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2010.1
+ Revision: 536931
- update to new version 2.2.8

* Wed Mar 03 2010 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdv2010.1
+ Revision: 513800
- new version
- add omf files

* Thu Nov 12 2009 Funda Wang <fwang@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 465134
- BR gnome-doc-utils
- new version 2.2.6

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2.2.5-1mdv2010.0
+ Revision: 370441
- New version 2.2.5

* Tue Dec 23 2008 Funda Wang <fwang@mandriva.org> 2.2.4-1mdv2009.1
+ Revision: 317773
- fix str fmt
- new version 2.2.4

* Wed Aug 20 2008 Funda Wang <fwang@mandriva.org> 2.2.3-1mdv2009.0
+ Revision: 274124
- New version 2.2.3
- drop merged patch

* Sun Aug 10 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-2mdv2009.0
+ Revision: 270431
- Add Fedora patch to fix a segfault

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.2.2-1mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 24 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 174116
- New upstream release

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-2mdv2008.1
+ Revision: 170863
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 139526
- New major
- New version 2.2.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Jérôme Soyer <saispo@mandriva.org> 2.1.4-1mdv2008.1
+ Revision: 110924
- Fix Bug #35569
- Fix Bug #35569

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%_datadir/man by %%_mandir!


* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-5mdv2007.0
+ Revision: 102561
- Rebuild with latest eds

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.1.3-4mdv2007.1
+ Revision: 88942
- fix buildrequires
- fix buildrequires
- handle scrollkeeper
- spec fixes
- Import glabels

* Thu Nov 30 2006 Gtz Waschk <waschk@mandriva.org> 2.1.3-3mdv2007.1
- fix buildrequires

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-2mdv2007.0
- xdg menu
- rebuild with latest dbus

* Wed May 31 2006 Lenny Cartier <lenny@mandriva.com> 2.1.3-1mdv2007.0
- 2.1.3

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-3mdk
- Fix buildrequires

* Tue Apr 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-2mdk
- Rebuild with latest e-d-s

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.2-1mdk
- New release 2.1.2

* Mon Dec 26 2005 Lenny Cartier <lenny@mandriva.com> 2.0.4-1mdk
- 2.0.4

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-3mdk
- Fix BuildRequires

* Fri Oct 28 2005 Lenny Cartier <lenny@mandriva.com> 2.0.3-2mdk
- rebuild for dependencies

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-1mdk
- New release 2.0.3

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk 
- Rebuild with latest howl

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-5mdk
- fix installation
- spec fixes
- fix buildrequires

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-4mdk
- spec fixes
- remove generated files from /usr/share/mime/

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-3mdk
- Another BuildRequires

* Wed Aug 18 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-2mdk
- Fix BuildRequires

* Tue Aug 17 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-1mdk
- 2.0.1

* Thu Aug 12 2004 Jerome Soyer <saispo@mandrake.org> 2.0.0-1mdk
- 2.0.0

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.93.3-1mdk
- 1.93.3

